summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-06-13 17:18:02 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-06-13 17:18:22 +0200
commit53e2f35b885299529742a55ef39dec3f0d0d0a8f (patch)
treeaa5d1446d9837fa1aadadeebc5f6a08e59b5f4d9 /scripts
parentd49e47c890485982128586563caefeb53370434d (diff)
fix ppc64/mips64 ADK_TARGET_KARCH var
Diffstat (limited to 'scripts')
-rw-r--r--scripts/bulk-qemu.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/bulk-qemu.sh b/scripts/bulk-qemu.sh
new file mode 100644
index 000000000..491a695c8
--- /dev/null
+++ b/scripts/bulk-qemu.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+for libc in glibc musl uclibc; do
+ for arch in $(cat toolchain/$libc/arch.lst);do
+ make VERBOSE=1 ADK_TARGET_ARCH=$arch ADK_TARGET_SYSTEM=qemu-$arch ADK_TARGET_LIBC=$libc ADK_TARGET_FS=initramfspiggyback defconfig all
+ if [ $? -ne 0 ];then
+ echo "build failed"
+ exit 1
+ fi
+ done
+done
+